[Deprecated]: v2.0
put
/ec-query-svc/rest/v2.0/studies/{studyId}/{mode}/queries/{queryId}/assignupdate
Deprecated: Use latest version instead. Compared to v1.0, this v2.0 endpoint accepts discrepancy and object version numbers to support optimistic locking when assigning study roles. This improves user integration reliability.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: test (testing sandbox), training (training environment), and active (production).
-
queryId(required): string(uuid)
Query ID.
-
studyId(required): string(uuid)
Clinical One study identifier formatted as a 32 to 36 character GUID.
Query Parameters
-
discrepancyId: integer(int64)
Minimum Value:
0Maximum Value:999999999999Optional discrepancy identifier used for optimistic locking. Provide zero or positive values only.Example:123456789 -
objectVersionNumber: number(bigdecimal)
Minimum Value:
0Maximum Value:999999999Optional object version number for optimistic locking. Provide zero or positive values only.Example:4
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest for assignupdate Query API
Show Source
-
studyRoles(required): array
studyRoles
List of study role identifiers to assign. Provide between 1 and 50 values.
Example:
{\n \"studyRoles\": [\"6AF54DB79B764662B685D68C52AB0B84\", \"9F8435D105BD49CC9A31DF94A2AF1F01\"]\n}Nested Schema : studyRoles
Type:
arrayList of study role identifiers to assign. Provide between 1 and 50 values.
Show Source
-
Array of:
string(uuid)
List of study role identifiers to assign. Provide between 1 and 50 values.
Example:
[
"6AF54DB79B764662B685D68C52AB0B84",
"9F8435D105BD49CC9A31DF94A2AF1F01"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Study roles assigned successfully and the updated query snapshot is returned.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
400 Response
Request validation failed due to missing, invalid, or inconsistent request data.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
404 Response
Returned when the target query cannot be found.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
500 Response
Returned when an unexpected error occurs while assigning study roles.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples